Bug 1475424 - Nested virtualization problem in kvm_amd with host-passthrough
Nested virtualization problem in kvm_amd with host-passthrough
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
26
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-26 12:08 EDT by Nandan Bhat
Modified: 2018-03-12 07:06 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-03-12 07:06:14 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nandan Bhat 2017-07-26 12:08:18 EDT
Description of problem: Nested virtualization with kvm_amd does not work in Fedora 26. svm flag is not available in virtual machine while using host-passthrough mode for CPU


Version-Release number of selected component (if applicable): Kernels 4.11.8-300.fc26.x86_64 through 4.11.10-300.fc26.x86_64


How reproducible:
Every time

Steps to Reproduce: (In AMD FX-8320 system)
1. Install virtualization package group and restart (or start libvirtd).
2. Observe svm flag in /proc/cpuinfo and confirm /sys/modules/kvm_amd/parameters/nested to have 1 (even without enabling in /etc/modprobe.d/kvm.conf .
3. Create virtual machine with host-passthrough for CPU
3. Observe missing svm flag in /proc/cpuinfo in virtual machine.

Actual results:
Nested virtualization not working; only emulation available in virtual machine

Expected results:
(As functional in Fedora 25), nested virtualization works 

Additional info:
Fresh install of Fedora 25 on the same machine shows nested virtualization working fine. Fedora 26 x86_64 on Intel Core i5 based machine has functional nested virtualization.
Comment 1 Laura Abbott 2018-02-27 22:55:47 EST
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale. The kernel moves very fast so bugs may get fixed as part of a kernel update. Due to this, we are doing a mass bug update across all of the Fedora 26 kernel bugs.
 
Fedora 26 has now been rebased to 4.15.4-200.fc26.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you have moved on to Fedora 27, and are still experiencing this issue, please change the version to Fedora 27.
 
If you experience different issues, please open a new bug report for those.
Comment 2 Nandan Bhat 2018-03-12 07:06:14 EDT
Sorry for the late response.

I have tried out Fedora 27 Cinnamon x86_64 and not experienced the same issue as listed here. Once the problem was not observed in Fedora 27, I have not bothered to check again with Fedora 26. Sorry about that.

Regards,

Nandan

Note You need to log in before you can comment on or make changes to this bug.